Package org.tmatesoft.svn.core.wc2

# Enum SvnChecksum.Kind

java.lang.Object
java.lang.Enum<SvnChecksum.Kind>
org.tmatesoft.svn.core.wc2.SvnChecksum.Kind

All Implemented Interfaces:
  `Serializable`, `Comparable<SvnChecksum.Kind>`, `java.lang.constant.Constable`

Enclosing class:
  SvnChecksum

public static enum SvnChecksum.Kind extends Enum<SvnChecksum.Kind>
Describes the kind of used hash algorithm for computing the checksum. This can be:

- sha1 - sha1 algorithm
- md5 - md5 algorithm

Version:
  1.7
Author:
  TMate Software Ltd.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`md5`
`sha1`

## Method Summary

Modifier and Type
Method
Description
`static SvnChecksum.Kind`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SvnChecksum.Kind[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### sha1

public static final SvnChecksum.Kind sha1

### md5

public static final SvnChecksum.Kind md5

## Method Details

### values

public static SvnChecksum.Kind[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static SvnChecksum.Kind valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null